Subject: [PATCH v1] of: calculate masks of the device based on dma-range size

From: [email-masked] (Bjorn Helgaas)
Date: Tue, 3 Mar 2015 14:49:12 -0600

On Tue, Mar 03, 2015 at 12:59:52PM -0500, Murali Karicheri wrote:
> On 02/25/2015 07:20 PM, Bjorn Helgaas wrote:
> >[+cc Catalin]
> >
> >On Wed, Feb 11, 2015 at 12:53:35PM -0500, Murali Karicheri wrote:
> >>This patch update of_dma_configure() API to calculate the
> >>masks (dma_mask and coherent_dma_mask) based on the dma-range
> >>values set in DT for the device. Also limit the mask to lower
> >>of the default mask and mask calculated.
> >>
> >>Cc: Joerg Roedel<[email-masked]>
> >>Cc: Grant Likely<[email-masked]>
> >>Cc: Rob Herring<[email-masked]>
> >>Cc: Bjorn Helgaas<[email-masked]>
> >>Cc: Will Deacon<[email-masked]>
> >>Cc: Russell King<[email-masked]>
> >>Cc: Arnd Bergmann<[email-masked]>
> >>Cc: Suravee Suthikulpanit<[email-masked]>
> >>
> >>Signed-off-by: Murali Karicheri<[email-masked]>
> >
> >Applied with Catalin's reviewed-by to pci/iommu for v4.1, thanks!
> Bjorn,
> 
> Could you point me to this? I didn't see it on pci/iommu of your repo below.
> 
> arm-pci	git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci.git
> (fetch)
> 
> a0868495 at ula0868495 ~/Project/linux-keystone $ gitlog arm-pci/pci/iommu
> dd8a11b0f0d4ed0ad87c8d09e650f354021d7953 arm: dma-mapping: limit
> IOMMU mapping size
> 2a101e79dcd8733e3a353b0df2fa384980f94e1e PCI: Update DMA
> configuration from DT
> 3fd29d06e9aa92d9a4513e14b2dd3f0d69d4d2b7 of/pci: Add
> of_pci_dma_configure() to update DMA configuration
> 8243352097c468f982a9f386cb1f455672b473a2 PCI: Add helper functions
> pci_get[put]_host_bridge_device()
> 039f346ac880d4f894425ef6c540f3ff5c1b8dcf of: Fix size when dma-range
> is not used
> 2743a957f6a6317be06d02cc93d78bb2a847e427 of: Move of_dma_configure()
> to device.c to help re-use
> f454cd01b5bdffb1bf26a5cddac30439fa5f27a1 of: iommu: Add ptr to OF
> node arg to of_iommu_configure()
> c517d838eb7d07bbe9507871fab3931deccff539 Linux 4.0-rc1

I had applied it to my local branch, but not pushed it to kernel.org.
I applied it along with the "get DMA configuration from parent device"
series to pci/murali-v8 and pushed it for build testing.

Bjorn